/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCorePublic;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCorePublicRecord extends UpdatableRecordImpl<TCorePublicRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_public.pk_core_public</code>.
     */
    public void setPkCorePublic(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_public.pk_core_public</code>.
     */
    public Integer getPkCorePublic() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_public.public_value</code>. unique id
     */
    public void setPublicValue(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_public.public_value</code>. unique id
     */
    public Integer getPublicValue() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_public.public_lang</code>. language key
     */
    public void setPublicLang(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_public.public_lang</code>. language key
     */
    public String getPublicLang() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_public.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_public.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(3);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCorePublicRecord
     */
    public TCorePublicRecord() {
        super(TCorePublic.T_CORE_PUBLIC);
    }

    /**
     * Create a detached, initialised TCorePublicRecord
     */
    public TCorePublicRecord(Integer pkCorePublic, Integer publicValue, String publicLang, LocalDateTime lastchange) {
        super(TCorePublic.T_CORE_PUBLIC);

        setPkCorePublic(pkCorePublic);
        setPublicValue(publicValue);
        setPublicLang(publicLang);
        setLastchange(lastchange);
        resetChangedOnNotNull();
    }
}
